Subject: bug#77214: closed (Re: bug#77214: `guix pull` fails with `autocrlf=true` in git config)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 14 Apr 2025 21:10:03 +0000

Your bug report

#77214: `guix pull` fails with `autocrlf=true` in git config

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77214: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77214
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77214: `guix pull` fails with `autocrlf=true` in git config
From: Ludovic Courtès <[email-masked]>
To: Jodi Jodingtonstinski <[email-masked]>
Cc: [email-masked]
Date: Mon, 14 Apr 2025 23:09:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Jodi,

Jodi Jodingtonstinski <[email-masked]> writes:

>  It would be great if you could try it and check that it works for you.
>  You can do that by:
>
>    rm -rf ~/.cache/guix/checkouts
>    git config --global core.autocrlf true
>    ./pre-inst-env guix download --git \
>       https://git.savannah.gnu.org/git/shepherd.git
>
> I did this and it worked!
> I also checked if the downloaded files had any carriage return characters and they did not, so AFAICT that guarantees autocrlf was
> ignored.
> thank you for this patch, I wasn't able to figure it out myself.

Pushed as b5e567bb2b277f89af493ba8cd0799fdb368a184.  Thanks for testing!

Ludo’.

Subject: `guix pull` fails with `autocrlf=true` in git config
From: Jodi Jodingtonstinski <[email-masked]>
To: [email-masked]
Date: Sun, 23 Mar 2025 12:36:25 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Ideally `guix pull` would ignore this setting (and possibly all user git
settings?) if it does not work with it.
 This causes errors such as:
 `gnu/packages/music.scm:2732:1: invalid character in escape sequence:
#\return`
and can be resolved by disabling autocrlf and deleting
`~/.cache/guix/checkouts` (thanks Rutherther)